Subject: bug#11632: closed (Re: bug#11632: 24.1.50; Unrecognized bug debbugs:11140. Commit refused)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 05 Jun 2012 17:24:02 +0000

Your bug report

#11632: 24.1.50; Unrecognized bug debbugs:11140. Commit refused

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
11632: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11632
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#11632: 24.1.50; Unrecognized bug debbugs:11140. Commit refused
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Tue, 05 Jun 2012 13:21:16 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Sam Steingold wrote:

> bzr: ERROR: Unrecognized bug debbugs:11140. Commit refused.

The default Emacs dir-locals setup requires everyone to edit their
bazaar.conf.

http://lists.gnu.org/archive/html/emacs-devel/2010-11/msg00232.html

You'll need to add something like

bugtracker_debbugs_url = http://debbugs.gnu.org/{id}

Subject: 24.1.50; Unrecognized bug debbugs:11140. Commit refused
From: Sam Steingold <[email-masked]>
To: [email-masked]
Date: Tue, 05 Jun 2012 12:40:39 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

In GNU Emacs 24.1.50.1 (x86_64-unknown-linux-gnu, X toolkit, Xaw3d scroll bars)
 of 2012-05-30 on t520sds
Bzr revision: 108430 [email-masked]
Windowing system distributor `The X.Org Foundation', version 11.0.11103000
Configured using:
 `configure '--with-wide-int''

I tried to commit a patch to emacs using emacs.
I edited the lisp files and put an appropriate note into the ChangeLog.
I marked the files in the *VC dir* buffer and hit C-x v v.
I landed in the *vc-log* buffer with a prepared message:

--8<---------------cut here---------------start------------->8---
Fixes: debbugs:11140

* lisp/calendar/calendar.el (calendar-exit): reinstate the 2012-03-28 patch.
--8<---------------cut here---------------end--------------->8---

where the "Fixes: debbugs:11140" part comes from "(Bug#11140)." in ChangeLog.
I hit C-c C-c and get an error:

bzr: ERROR: Unrecognized bug debbugs:11140. Commit refused.

Debugger entered--Lisp error: (error #("Running bzr commit -m * ... --fixes debbugs:11140 lisp/ChangeLog lisp/calendar/calendar.el...FAILED (status 3)" 22 24 (fontified t) 36 44 (face log-edit-header fontified t) 44 49 (face log-edit-header fontified t)))
  signal(error (#("Running bzr commit -m * ... --fixes debbugs:11140 lisp/ChangeLog lisp/calendar/calendar.el...FAILED (status 3)" 22 24 (fontified t) 36 44 (face log-edit-header fontified t) 44 49 (face log-edit-header fontified t))))
  error("Running %s...FAILED (%s)" #("bzr commit -m * ... --fixes debbugs:11140 lisp/ChangeLog lisp/calendar/calendar.el" 14 16 (fontified t) 28 36 (fontified t face log-edit-header) 36 41 (fontified t face log-edit-header)) "status 3")
  vc-do-command("*vc*" 0 "bzr" ("/home/sds/src/emacs/trunk/lisp/ChangeLog" "/home/sds/src/emacs/trunk/lisp/calendar/calendar.el") "commit" "-m" #("* lisp/calendar/calendar.el (calendar-exit): reinstate the 2012-03-28 patch.\n" 0 2 (fontified t) 2 27 (fontified t) 27 28 (fontified t) 28 29 (fontified t) 29 42 (fontified t) 42 46 (fontified t help-echo "Capitalize." face font-lock-warning-face) 46 59 (fontified t) 59 68 (fontified t) 68 69 (fontified t rear-nonsticky t) 69 70 (fontified t) 70 75 (fontified t) 75 76 (fontified t) 76 77 (fontified t)) "--fixes" #("debbugs:11140" 0 8 (fontified t face log-edit-header) 8 13 (fontified t face log-edit-header)))
  apply(vc-do-command "*vc*" 0 "bzr" ("/home/sds/src/emacs/trunk/lisp/ChangeLog" "/home/sds/src/emacs/trunk/lisp/calendar/calendar.el") "commit" ("-m" #("* lisp/calendar/calendar.el (calendar-exit): reinstate the 2012-03-28 patch.\n" 0 2 (fontified t) 2 27 (fontified t) 27 28 (fontified t) 28 29 (fontified t) 29 42 (fontified t) 42 46 (fontified t help-echo "Capitalize." face font-lock-warning-face) 46 59 (fontified t) 59 68 (fontified t) 68 69 (fontified t rear-nonsticky t) 69 70 (fontified t) 70 75 (fontified t) 75 76 (fontified t) 76 77 (fontified t)) "--fixes" #("debbugs:11140" 0 8 (fontified t face log-edit-header) 8 13 (fontified t face log-edit-header))))
  vc-bzr-command("commit" nil 0 ("/home/sds/src/emacs/trunk/lisp/ChangeLog" "/home/sds/src/emacs/trunk/lisp/calendar/calendar.el") "-m" #("* lisp/calendar/calendar.el (calendar-exit): reinstate the 2012-03-28 patch.\n" 0 2 (fontified t) 2 27 (fontified t) 27 28 (fontified t) 28 29 (fontified t) 29 42 (fontified t) 42 46 (fontified t help-echo "Capitalize." face font-lock-warning-face) 46 59 (fontified t) 59 68 (fontified t) 68 69 (fontified t rear-nonsticky t) 69 70 (fontified t) 70 75 (fontified t) 75 76 (fontified t) 76 77 (fontified t)) "--fixes" #("debbugs:11140" 0 8 (fontified t face log-edit-header) 8 13 (fontified t face log-edit-header)))
  apply(vc-bzr-command "commit" nil 0 ("/home/sds/src/emacs/trunk/lisp/ChangeLog" "/home/sds/src/emacs/trunk/lisp/calendar/calendar.el") ("-m" #("* lisp/calendar/calendar.el (calendar-exit): reinstate the 2012-03-28 patch.\n" 0 2 (fontified t) 2 27 (fontified t) 27 28 (fontified t) 28 29 (fontified t) 29 42 (fontified t) 42 46 (fontified t help-echo "Capitalize." face font-lock-warning-face) 46 59 (fontified t) 59 68 (fontified t) 68 69 (fontified t rear-nonsticky t) 69 70 (fontified t) 70 75 (fontified t) 75 76 (fontified t) 76 77 (fontified t)) "--fixes" #("debbugs:11140" 0 8 (fontified t face log-edit-header) 8 13 (fontified t face log-edit-header))))
  vc-bzr-checkin(("/home/sds/src/emacs/trunk/lisp/ChangeLog" "/home/sds/src/emacs/trunk/lisp/calendar/calendar.el") nil #("Fixes: debbugs:11140\n\n* lisp/calendar/calendar.el (calendar-exit): reinstate the 2012-03-28 patch.\n" 0 5 (fontified t face log-edit-header) 5 6 (fontified t face log-edit-header) 6 7 (fontified t) 7 15 (fontified t face log-edit-header) 15 20 (fontified t face log-edit-header) 20 21 (fontified t) 21 22 (fontified t) 22 24 (fontified t) 24 49 (fontified t) 49 50 (fontified t) 50 51 (fontified t) 51 64 (fontified t) 64 68 (fontified t help-echo "Capitalize." face font-lock-warning-face) 68 81 (fontified t) 81 90 (fontified t) 90 91 (fontified t rear-nonsticky t) 91 92 (fontified t) 92 97 (fontified t) 97 98 (fontified t) 98 99 (fontified t)))
  apply(vc-bzr-checkin (("/home/sds/src/emacs/trunk/lisp/ChangeLog" "/home/sds/src/emacs/trunk/lisp/calendar/calendar.el") nil #("Fixes: debbugs:11140\n\n* lisp/calendar/calendar.el (calendar-exit): reinstate the 2012-03-28 patch.\n" 0 5 (fontified t face log-edit-header) 5 6 (fontified t face log-edit-header) 6 7 (fontified t) 7 15 (fontified t face log-edit-header) 15 20 (fontified t face log-edit-header) 20 21 (fontified t) 21 22 (fontified t) 22 24 (fontified t) 24 49 (fontified t) 49 50 (fontified t) 50 51 (fontified t) 51 64 (fontified t) 64 68 (fontified t help-echo "Capitalize." face font-lock-warning-face) 68 81 (fontified t) 81 90 (fontified t) 90 91 (fontified t rear-nonsticky t) 91 92 (fontified t) 92 97 (fontified t) 97 98 (fontified t) 98 99 (fontified t))))
  vc-call-backend(Bzr checkin ("/home/sds/src/emacs/trunk/lisp/ChangeLog" "/home/sds/src/emacs/trunk/lisp/calendar/calendar.el") nil #("Fixes: debbugs:11140\n\n* lisp/calendar/calendar.el (calendar-exit): reinstate the 2012-03-28 patch.\n" 0 5 (fontified t face log-edit-header) 5 6 (fontified t face log-edit-header) 6 7 (fontified t) 7 15 (fontified t face log-edit-header) 15 20 (fontified t face log-edit-header) 20 21 (fontified t) 21 22 (fontified t) 22 24 (fontified t) 24 49 (fontified t) 49 50 (fontified t) 50 51 (fontified t) 51 64 (fontified t) 64 68 (fontified t help-echo "Capitalize." face font-lock-warning-face) 68 81 (fontified t) 81 90 (fontified t) 90 91 (fontified t rear-nonsticky t) 91 92 (fontified t) 92 97 (fontified t) 97 98 (fontified t) 98 99 (fontified t)))
  #[514 "\304\305\306.!\"\210\211\203.\307\310.\"\204.\311\262.\312C\313.\313\262.\211\203^.\211@\314.!\203R.\315 \211\203N.\211@\316.!\211\203F.\317.\"\203F.\211.B\262.\210.A\266\202\202,.\210\202W.\211.B\262.A\266\202\202.\210\320\300\321.\301.%\210\322\323.\"\210\211\211\203\250.\211@\324\325\326\327.!8B\330BB\211\203\240.\211@\211@\211\n>\204\230.\331\332.\".A#\210\210.A\266\202\202\200.\210.A\266\202\202o.\210)\266.\304\333\306.!\"\207" [Bzr nil vc-touched-properties vc-file-prop-obarray message "Checking in %s..." vc-delistify string-match "[^	\n ]" "*** empty log message ***" t nil file-directory-p buffer-list buffer-file-name string-prefix-p vc-call-backend checkin mapc vc-delete-automatic-version-backups (vc-state . up-to-date) vc-checkout-time 5 file-attributes ((vc-working-revision)) put intern "Checking in %s...done"] 13 "\n\n(fn FILES COMMENT)"](("/home/sds/src/emacs/trunk/lisp/ChangeLog" "/home/sds/src/emacs/trunk/lisp/calendar/calendar.el") #("Fixes: debbugs:11140\n\n* lisp/calendar/calendar.el (calendar-exit): reinstate the 2012-03-28 patch.\n" 0 5 (fontified t face log-edit-header) 5 6 (fontified t face log-edit-header) 6 7 (fontified t) 7 15 (fontified t face log-edit-header) 15 20 (fontified t face log-edit-header) 20 21 (fontified t) 21 22 (fontified t) 22 24 (fontified t) 24 49 (fontified t) 49 50 (fontified t) 50 51 (fontified t) 51 64 (fontified t) 64 68 (fontified t help-echo "Capitalize." face font-lock-warning-face) 68 81 (fontified t) 81 90 (fontified t) 90 91 (fontified t rear-nonsticky t) 91 92 (fontified t) 92 97 (fontified t) 97 98 (fontified t) 98 99 (fontified t)))
  vc-finish-logentry()
  call-interactively(vc-finish-logentry)
  log-edit-done()
  call-interactively(log-edit-done nil nil)

I guess I can remove the "Fixes" part and proceed, but I think this
should be fixed anyway

-- 
Sam Steingold (http://sds.podval.org/) on Ubuntu 12.04 (precise) X 11.0.11103000
http://www.childpsy.net/ http://jihadwatch.org http://ffii.org
http://dhimmi.com http://www.memritv.org
You can have it good, soon or cheap.  Pick two...